stable

FEDORA-2022-db6aea82e4 created by pwalter 4 months ago for Fedora 36

Update to 22.1.1

How to install

sudo dnf upgrade --refresh --advisory=FEDORA-2022-db6aea82e4

This update has been submitted for testing by pwalter.

4 months ago

This update's test gating status has been changed to 'waiting'.

4 months ago

This update's test gating status has been changed to 'passed'.

4 months ago
User Icon itrymybest80 commented & provided feedback 4 months ago
karma

Thank you! Also thanks for the 21.1.0 koji build. Tested on AMD Radeon RX 580.

BZ#2088217 mesa-22.1.1 is available

This update has been pushed to testing.

4 months ago
User Icon bojan commented & provided feedback 4 months ago
karma

Works.

This update can be pushed to stable now if the maintainer wishes

4 months ago
User Icon emarci commented & provided feedback 4 months ago
karma

Working, but definitely not a enhancement update. Average Frame-rate drops by ~25% compared to Mesa 22.0.3 on Hitman 2 Benchmark.

User Icon grumpey commented & provided feedback 4 months ago

Did something happen with the i686 package for mesa-vulkan-drivers?

sudo dnf info mesa-vulkan-drivers Last metadata expiration check: 0:14:15 ago on Fri 03 Jun 2022 04:08:36 AM EDT. Installed Packages Name : mesa-vulkan-drivers Version : 22.1.1 Release : 1.fc36 Architecture : x86_64 Size : 21 M Source : mesa-22.1.1-1.fc36.src.rpm Repository : @System From repo : updates-testing Summary : Mesa Vulkan drivers URL : http://www.mesa3d.org License : MIT Description : The drivers with support for the Vulkan API.

Available Packages Name : mesa-vulkan-drivers Version : 22.0.3 Release : 1.fc36 Architecture : i686 Size : 5.1 M Source : mesa-22.0.3-1.fc36.src.rpm Repository : updates Summary : Mesa Vulkan drivers URL : http://www.mesa3d.org License : MIT Description : The drivers with support for the Vulkan API

User Icon thesourcehim commented & provided feedback 4 months ago
karma

Can not update to due to missing i686 version of mesa-vulkan-drivers.

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

4 months ago
User Icon generalprobe commented & provided feedback 4 months ago
karma

I also cannot upgrade because of that.

User Icon agurenko commented & provided feedback 4 months ago
karma

Works well on AMD 6700XT, no regressions spotted with Intel graphics also

BZ#2088217 mesa-22.1.1 is available
User Icon markec provided feedback 4 months ago
karma
BZ#2088217 mesa-22.1.1 is available
User Icon nadrolinux commented & provided feedback 4 months ago
karma

mesa-vulkan-drivers for i686 package is missing.

User Icon borschty commented & provided feedback 4 months ago
karma

There are a couple of collisions between the mesa-vulkan-drivers.i686 and the mesa-vulkan-drivers.x86_64 packages. The following files are included in both packages:

/usr/share/drirc.d/00-radv-defaults.conf
/usr/share/vulkan/implicit_layer.d/VkLayer_MESA_device_select.json
karma
User Icon filiperosset commented & provided feedback 4 months ago
karma

no regressions noted

User Icon thesourcehim commented & provided feedback 4 months ago

The workaround for missing i686 package in the repo is to download it from koji https://kojipkgs.fedoraproject.org//packages/mesa/22.1.1/1.fc36/i686/mesa-vulkan-drivers-22.1.1-1.fc36.i686.rpm and run: sudo dnf upgrade "*" /path/to/downloaded/mesa-vulkan-drivers-22.1.1-1.fc36.i686.rpm

User Icon micmor commented & provided feedback 4 months ago
karma

sudo dnf upgrade mesa-vulkan-drivers-22.1.1-1.fc36.i686. rpm

Last check of the expiration of metadata performed 0:16:45 on Sat 04 Jun 2022 17:35:36. Dependencies resolved.

Problem: Failed to install the best candidate for the mesa-vulkan-drivers-22.0.3-1.fc36.i686 package - mesa-vulkan drivers-22.1.1-1.fc36.i686 has a lower architecture

Nothing to do. Done!

User Icon tseewald commented & provided feedback 4 months ago
karma

After upgrading to mesa-22.1.1 I am experiencing frequent crashes in some games, downgrading to 22.0.3 fixes it.

See upstream bug report: https://gitlab.freedesktop.org/mesa/mesa/-/issues/6613

User Icon renault commented & provided feedback 4 months ago
karma

No regressions found

User Icon little-endian commented & provided feedback 4 months ago
karma

Can't install Vulkan drivers because of conflicts.

Last metadata expiration check: 0:51:01 ago on Mon 06 Jun 2022 07:03:40 PM AST. Dependencies resolved.

Problem: mesa-vulkan-drivers-22.0.3-1.fc36.i686 has inferior architecture - cannot install both mesa-vulkan-drivers-22.1.1-1.fc36.x86_64 and mesa-vulkan-drivers-22.0.3-1.fc36.x86_64 - cannot install the best update candidate for package mesa-vulkan-drivers-22.0.3-1.fc36.i686 - cannot install the best update candidate for package mesa-vulkan-drivers-22.0.3-1.fc36.x86_64 ========================================================================= Package Arch Version Repository Size ========================================================================= Skipping packages with conflicts: (add '--best --allowerasing' to command line to force their upgrade): mesa-vulkan-drivers x86_64 22.1.1-1.fc36 updates-testing 4.8 M

Transaction Summary

Skip 1 Package

Nothing to do.

BZ#2088217 mesa-22.1.1 is available
User Icon geraldosimiao commented & provided feedback 4 months ago
karma

Same error on mesa-vulkan-drivers version

BZ#2088217 mesa-22.1.1 is available
User Icon kparal commented & provided feedback 4 months ago
karma

mesa-22.1.1-1.fc36 is really missing in updates-testing.i686 repos, not sure why. Perhaps an infra error. Let's unpush this and perhaps create a new update, whether it resolves the problem.

karma
BZ#2088217 mesa-22.1.1 is available
User Icon kparal commented & provided feedback 4 months ago

After reading this comment: https://bodhi.fedoraproject.org/updates/FEDORA-2022-4120f31977#comment-2466325 it seems that the i686 build is missing in updates-testing only temporarily, and will be present in stable updates.

I have created a PR here to resolve this issue in the future: https://pagure.io/pungi-fedora/pull-request/1104 Once it is merged and deployed to production, this situation shouldn't happen again.

User Icon nadrolinux commented & provided feedback 4 months ago
karma

@kparal Good to know, currently I used workaround provided by @thesourcehim and all works fine, thats why I changed karma from down to up.

User Icon emarci commented & provided feedback 4 months ago

I downloded the i686 package manually but I can't update it. Error message:

Problem: cannot install the best update candidate for package mesa-vulkan-drivers-22.0.3-1.fc36.i686 - mesa-vulkan-drivers-22.1.1-1.fc36.i686 has inferior architecture

User Icon micmor commented & provided feedback 4 months ago
karma

IT is ok

thank you @generalprobe thank you @pwalter

User Icon pwalter commented & provided feedback 4 months ago

Thanks a lot for figuring out the fix, @kparal! Now we just need someone from releng to merge the pull request.

no issues

User Icon pwalter commented & provided feedback 4 months ago

https://pagure.io/pungi-fedora/pull-request/1104 is now merged so let's push this to stable.

This update has been submitted for stable by pwalter.

4 months ago

This update has been pushed to stable.

4 months ago
User Icon akselmo commented & provided feedback 4 months ago
karma

Causes issues with remote desktop and some games when using RX6600. Created bug report here. https://gitlab.freedesktop.org/mesa/mesa/-/issues/6686

However, 22.1.0 (from rawhide) worked for me fine.


Please login to add feedback.

Metadata
Type
enhancement
Karma
3
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
4 months ago
in testing
4 months ago
in stable
4 months ago
BZ#2088217 mesa-22.1.1 is available
-1
5

Automated Test Results